export const AxisLeft = ({ yScale }) =>
  yScale.domain().map((tickValue) => (
    <g
      className="tick"
      transform={`translate(-10, ${
        yScale(tickValue) + yScale.bandwidth() / 2
      })`}
    >
      <text
        key={tickValue}
        dy={'0.32em'}
      >
        {tickValue}
      </text>
    </g>
  ));