export const Marks = ({ yScale, xScale, data, selectColor, xValue, yValue, tooltipFormat }) =>
  data.map((d) => (
    <rect
      key={yValue(d)}
      x={0}
      y={yScale(yValue(d))}
      width={xScale(xValue(d))}
      height={yScale.bandwidth()}
      fill={selectColor()}
    >
      <title>{tooltipFormat(xValue(d))}</title>
  	</rect>
  ));